------------------------------------------------------------------------------------
--Name:  	juqing7
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(75, 85)
CppScriptMgr:SetViewScale(180)
CppScriptMgr:ShakeScrEffect(1)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(88, 97)
player_0:SetDir(7)
player_0:SetZoomPercent(180)
local effect_0 = CppScriptMgr:AddEffect("ty_ymz", 70, 90, 33, 1, 1, 1)
effect_0:Scale(5, 5, 5)
local effect_5 = CppScriptMgr:AddEffect("zf2-e233_coat02", 79, 91, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_6 = CppScriptMgr:AddEffect("zf2-e233_coat02", 89, 86, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_7 = CppScriptMgr:AddEffect("zf2-e233_coat02", 94, 98, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_8 = CppScriptMgr:AddEffect("zf2-e233_coat02", 94, 98, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ClearEffect(effect_0)
local effect_1 = CppScriptMgr:AddEffect("QiFuLev3", 88, 97, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
local effect_2 = CppScriptMgr:AddEffect("ty_beijing", 88, 97, 33, 1, 1, 1)
effect_2:Scale(5, 5, 5)
local effect_3 = CppScriptMgr:AddEffect("NEW-flower-rain", 88, 97, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
local effect_4 = CppScriptMgr:AddEffect("NEW-flower-rain", 88, 97, 33, 1, 1, 1)
effect_4:Scale(2, 2, 2)
player_0:SetAction(1111)
CppScriptMgr:WaitMilSec(970)
player_0:Say("Great! The World Tree has finally been restored!", 1500)
CppScriptMgr:WaitMilSec(3000)